[
    {
        "route": "/api/v1/video.json",
        "method": "GET",
        "queryParams": [
            {
                "name": "v",
                "type": "string",
                "description": "The 11 character videoid"
            }
        ],
        "description": "Returns json object like https://tesses.net/apps/tytd/2025/video-example.json or null if video doesn't exist"
    },
    {
        "route": "/api/v1/downloads.json",
        "method": "GET",
        "queryParams": [
            {
                "name": "q",
                "type": "string?",
                "description": "The search parameter"
            },
            {
                "name": "type",
                "type": "string?",
                "description": "Whether you are searching for videos, playlists, channels or personal (defaults to videos)"
            },
            {
                "name": "page",
                "type": "long?",
                "description": "The page to retreve, starts at 1 and defaults to 1"
            },
            {
                "name": "count",
                "type": "long?",
                "description": "The entries to return, defaults to 20"
            }
        ],
        "description": "Query or browse the downloads"
    },
    {
        "route": "/api/v1/database.db",
        "method": "GET",
        "queryParams": [],
        "description": "Download the database"
    }
]